summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xversion.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/version.sh b/version.sh
index b43ccfe7a5..dbd9b972a6 100755
--- a/version.sh
+++ b/version.sh
@@ -1,9 +1,12 @@
#!/bin/sh
last_cvs_update=`date -r CVS/Entries +%y%m%d-%H:%M 2>/dev/null`
-if [ $? -ne 0 ]; then
- # probably no gnu date installed(?), use current date
- last_cvs_update=`date +%y%m%d-%H:%M`
+if test $? -ne 0 ; then
+ # probably no gnu date installed(?), use current date
+ last_cvs_update=`date +%y%m%d-%H:%M`
+elif test `uname -s` = 'Darwin' ; then
+ # darwin's date has different meaning for -r
+ last_cvs_update=`date +%y%m%d-%H:%M`
fi
echo "#define VERSION \"CVS-${last_cvs_update}-$1 \"" >version.h